Risk Scenarios
List the enterprise risk mapped to a risk scenario
List the enterprise risk a risk scenario is linked to, identified by the enterprise risk’s Risk ID. Supply the risk scenario’s object ID. Returns at most one result. The list is empty when the scenario isn’t linked to an enterprise risk, when the scenario is itself an enterprise risk, or when the linked enterprise risk is archived or not visible to the caller.
GET
/
risk-scenarios
/
{riskScenarioId}
/
mappings
/
enterprise-risk
List the enterprise risk mapped to a risk scenario
curl --request GET \
--url https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/enterprise-risk \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/enterprise-risk"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/enterprise-risk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": {
"data": [
{
"riskId": "<string>"
}
],
"pageInfo": {
"endCursor": "<string>",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "<string>"
}
}
}Was this page helpful?
⌘I
List the enterprise risk mapped to a risk scenario
